#!/usr/bin/env python3

# $Id: rst2xetex.py 7847 2015-03-17 17:30:47Z milde $
# Author: Guenter Milde
# Copyright: This module has been placed in the public domain.

"""
A minimal front end to the Docutils Publisher, producing Lua/XeLaTeX code.
"""


########################################################################
# Added by build_sphinx.sh
import os
import sys
import distutils.sysconfig
sys.path = [ os.path.join(os.environ["SPHINX_FQ_DIR"],
             l,
             "python{0}".format(distutils.sysconfig.get_python_version()),
             "site-packages") for l in ("lib64", "lib") ] + sys.path
########################################################################

try:
    import locale
    locale.setlocale(locale.LC_ALL, '')
except:
    pass

from docutils.core import publish_cmdline

description = ('Generates LaTeX documents from standalone reStructuredText '
               'sources for compilation with the Unicode-aware TeX variants '
               'XeLaTeX or LuaLaTeX. '
               'Reads from <source> (default is stdin) and writes to '
               '<destination> (default is stdout).  See '
               '<http://docutils.sourceforge.net/docs/user/latex.html> for '
               'the full reference.')

publish_cmdline(writer_name='xetex', description=description)
